> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a Headless Payment

> Submits a Solana headless transaction.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml POST /v1/transaction/headless/submit
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/transaction/headless/submit:
    post:
      tags:
        - Headless Transactions
      summary: Submit a Headless Payment
      description: Submits a Solana headless transaction.
      operationId: HeadlessController_submitTransaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitHeadlessTransaction'
      responses:
        '201':
          description: The transaction was submitted successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubmitHeadlessTransaction'
              examples:
                exportedPaymentsList:
                  summary: Example of a successful submit transaction response
                  value:
                    transactionSignature: string
                    status: string
                    content: array
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
components:
  schemas:
    SubmitHeadlessTransaction:
      type: object
      properties:
        signedTransaction:
          type: string
          description: The serialized transaction signed by the payer.
        transactionToken:
          type: string
          description: >-
            The token returned from the prepare step, used to identify the
            transaction.
      required:
        - signedTransaction
        - transactionToken

````